Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038748
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Modules] Advance Warehouse Operationsmajoralways2018-06-13 12:112018-08-02 10:27
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiona634908eec8c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Todmiguelez
Regression introduced in release
Summary

0038748: Improve Warehouse Configuration Check Process

DescriptionImprove Warehouse Configuration Check Process

Add extra validations to Warehosue Configuration Process:
- Check if there are Internal Routing Areas without Storage Bin Group and/or without Storage Bins
- Check if there are Internal Routing Areas without a Routing related to them
- Check if there are Routings without any ITT assigned
Steps To ReproduceImprove Warehouse Configuration Check Process

Add extra validations to Warehosue Configuration Process:
- Check if there are Internal Routing Areas without Storage Bin Group and/or without Storage Bins
- Check if there are Internal Routing Areas without a Routing related to them
- Check if there are Routings without any ITT assigned
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106037)
hgbot (developer)
2018-07-31 12:36

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: a634908eec8ce982e7f9b35fb604afe4eee90ef6
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Jul 30 13:38:51 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/a634908eec8ce982e7f9b35fb604afe4eee90ef6 [^]

Fixes Issue 38748. Adds new Warehouse Configuration Checks

- Adds check for Internal Routing Area not used in any Routing definition.
- Adds check for Internal Routing Area not assigned to Storage Bin Group.
- Adds check for Storage Bin Group not assigned to Storage Bin.
- Adds check for Internal Routing without ITT assigned.

---
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M web/org.openbravo.warehouse.advancedwarehouseoperations/js/obawo-validation-functions.js
A src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutRouting.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutStorageBinGroupOrStorageBin.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckRoutingWithoutITT.java
---
(0106038)
hgbot (developer)
2018-07-31 12:36

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: c1fd02c38037c9dffec45a95545fc2eb409dc7a6
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:13:11 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/c1fd02c38037c9dffec45a95545fc2eb409dc7a6 [^]

Related to Issue 38748. Changed names and reordered parameters
for Warehouse Configuration Check Window

---
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
---
(0106039)
hgbot (developer)
2018-07-31 12:36

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 32d760ee5de72388f25d6199a4b162af812b12e8
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:18:51 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/32d760ee5de72388f25d6199a4b162af812b12e8 [^]

Related to Issue 38748. Code Review improvements:

* Extracted code into different methods
* Reordered methods
* Reordered query to make it more readable

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutRouting.java
---
(0106040)
hgbot (developer)
2018-07-31 12:36

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: ae9cab4f3e2eb2ed03508c21d827ade955360c1c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:32:14 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/ae9cab4f3e2eb2ed03508c21d827ade955360c1c [^]

Related to Issue 38748. Code Review Improvements

* Extracted code into different methods
* Reordered methods
* Reordered query to make it more readable
* Changed one query to use 'not in' expression

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutStorageBinGroupOrStorageBin.java
---
(0106041)
hgbot (developer)
2018-07-31 12:36

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: f20e2c669878742744d6d0bb2b564a7431bedc74
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Jul 30 13:38:51 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/f20e2c669878742744d6d0bb2b564a7431bedc74 [^]

Related to Issue 38748. Adds new Warehouse Configuration Checks

- Adds check for Internal Routing Area not used in any Routing definition.
- Adds check for Internal Routing Area not assigned to Storage Bin Group.
- Adds check for Storage Bin Group not assigned to Storage Bin.
- Adds check for Internal Routing without ITT assigned.

---
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M web/org.openbravo.warehouse.advancedwarehouseoperations/js/obawo-validation-functions.js
A src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutRouting.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutStorageBinGroupOrStorageBin.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckRoutingWithoutITT.java
---
(0106042)
hgbot (developer)
2018-07-31 12:36

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 6bc8854dd8a8f53f0c5fe3a3b280d0624d194c47
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:32:49 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/6bc8854dd8a8f53f0c5fe3a3b280d0624d194c47 [^]

Related to Issue 38748. Code Review improvements:

* Extracted code into different methods
* Reordered methods
* Reordered query to make it more readable
* Changed query to correctly check the condition

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckRoutingWithoutITT.java
---
(0106043)
hgbot (developer)
2018-07-31 12:36

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: c45e871b96da8adb8c53022a05d80ca167bf616e
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:13:11 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/c45e871b96da8adb8c53022a05d80ca167bf616e [^]

Related to Issue 38748. Changed names and reordered parameters
for Warehouse Configuration Check Window

---
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
---
(0106044)
hgbot (developer)
2018-07-31 12:36

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: b5ee9f11221aa30250b372c2cf3930d0f76f31a5
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Jul 30 13:38:51 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/b5ee9f11221aa30250b372c2cf3930d0f76f31a5 [^]

Related to Issue 38748. Adds new Warehouse Configuration Checks

- Adds check for Internal Routing Area not used in any Routing definition.
- Adds check for Internal Routing Area not assigned to Storage Bin Group.
- Adds check for Storage Bin Group not assigned to Storage Bin.
- Adds check for Internal Routing without ITT assigned.

---
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M web/org.openbravo.warehouse.advancedwarehouseoperations/js/obawo-validation-functions.js
A src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutRouting.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutStorageBinGroupOrStorageBin.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckRoutingWithoutITT.java
---
(0106045)
hgbot (developer)
2018-07-31 12:36

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 75ff2fba6b7259cd56b634e1db69dce9dc49aff3
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:18:51 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/75ff2fba6b7259cd56b634e1db69dce9dc49aff3 [^]

Related to Issue 38748. Code Review improvements:

* Extracted code into different methods
* Reordered methods
* Reordered query to make it more readable

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutRouting.java
---
(0106046)
hgbot (developer)
2018-07-31 12:36

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 75ff2fba6b7259cd56b634e1db69dce9dc49aff3
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:18:51 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/75ff2fba6b7259cd56b634e1db69dce9dc49aff3 [^]

Related to Issue 38748. Code Review improvements:

* Extracted code into different methods
* Reordered methods
* Reordered query to make it more readable

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutRouting.java
---
(0106047)
hgbot (developer)
2018-07-31 12:36

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: ec2ae6c45a6b60494d5c8990bb51ba3974ab0d89
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:13:11 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/ec2ae6c45a6b60494d5c8990bb51ba3974ab0d89 [^]

Related to Issue 38748. Changed names and reordered parameters
for Warehouse Configuration Check Window

---
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
---
(0106048)
hgbot (developer)
2018-07-31 12:36

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 140ef83a0bf0e8ecb3f28b72b95e9512ed05a865
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:32:14 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/140ef83a0bf0e8ecb3f28b72b95e9512ed05a865 [^]

Related to Issue 38748. Code Review Improvements

* Extracted code into different methods
* Reordered methods
* Reordered query to make it more readable
* Changed one query to use 'not in' expression

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutStorageBinGroupOrStorageBin.java
---
(0106049)
hgbot (developer)
2018-07-31 12:36

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 557425f4d1697e686fcc25026d5326daea9b3d47
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:18:51 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/557425f4d1697e686fcc25026d5326daea9b3d47 [^]

Related to Issue 38748. Code Review improvements:

* Extracted code into different methods
* Reordered methods
* Reordered query to make it more readable

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutRouting.java
---
(0106050)
hgbot (developer)
2018-07-31 12:36

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: a43f8fdd1d52d3a42eda68030345043628350f32
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:32:49 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/a43f8fdd1d52d3a42eda68030345043628350f32 [^]

Related to Issue 38748. Code Review improvements:

* Extracted code into different methods
* Reordered methods
* Reordered query to make it more readable
* Changed query to correctly check the condition

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckRoutingWithoutITT.java
---
(0106051)
hgbot (developer)
2018-07-31 12:36

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 32c5188523632c395070629ebddfaf38368e0a7a
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:32:14 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/32c5188523632c395070629ebddfaf38368e0a7a [^]

Related to Issue 38748. Code Review Improvements

* Extracted code into different methods
* Reordered methods
* Reordered query to make it more readable
* Changed one query to use 'not in' expression

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutStorageBinGroupOrStorageBin.java
---
(0106052)
hgbot (developer)
2018-07-31 12:36

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 570baf728439fa33a4fff7be5c5b62d1a66fbebf
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jul 31 12:32:49 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/570baf728439fa33a4fff7be5c5b62d1a66fbebf [^]

Related to Issue 38748. Code Review improvements:

* Extracted code into different methods
* Reordered methods
* Reordered query to make it more readable
* Changed query to correctly check the condition

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckRoutingWithoutITT.java
---
(0106053)
dmiguelez (developer)
2018-07-31 12:37

Code Review + Testing Ok
(0106103)
hgbot (developer)
2018-08-02 10:27

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 9478247f21afafcc991daaddb04bec8ad7cf950d
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Aug 02 10:15:45 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/9478247f21afafcc991daaddb04bec8ad7cf950d [^]

Related to Issue 38748. Removed code that depends on the
hibernate upgrade made for 18Q4

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutRouting.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutStorageBinGroupOrStorageBin.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckRoutingWithoutITT.java
---
(0106108)
hgbot (developer)
2018-08-02 10:27

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: cd5020b2ed0c4159c116756cfa6c05623aba3311
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Aug 02 10:15:45 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/cd5020b2ed0c4159c116756cfa6c05623aba3311 [^]

Related to Issue 38748. Removed code that depends on the
hibernate upgrade made for 18Q4

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutRouting.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckIRAWithoutStorageBinGroupOrStorageBin.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/warehouseconfigurationcheck/implementation/CheckRoutingWithoutITT.java
---

- Issue History
Date Modified Username Field Change
2018-06-13 12:11 dmiguelez New Issue
2018-06-13 12:11 dmiguelez Assigned To => dmiguelez
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106037
2018-07-31 12:36 hgbot Status new => resolved
2018-07-31 12:36 hgbot Resolution open => fixed
2018-07-31 12:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/a634908eec8ce982e7f9b35fb604afe4eee90ef6 [^]
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106038
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106039
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106040
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106041
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106042
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106043
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106044
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106045
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106046
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106047
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106048
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106049
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106050
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106051
2018-07-31 12:36 hgbot Checkin
2018-07-31 12:36 hgbot Note Added: 0106052
2018-07-31 12:37 dmiguelez Review Assigned To => dmiguelez
2018-07-31 12:37 dmiguelez Note Added: 0106053
2018-07-31 12:37 dmiguelez Status resolved => closed
2018-08-02 10:27 hgbot Checkin
2018-08-02 10:27 hgbot Note Added: 0106103
2018-08-02 10:27 hgbot Checkin
2018-08-02 10:27 hgbot Note Added: 0106108


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker